:root {
    --jts-primary: #3794d1;
}

.row-green-bg > td {
    background-color: lightgreen !important;
    border-color: lightgreen !important;
}

.bi:hover, input.showPRO-filter-toggle:hover, label.showPRO-filter-label {
    cursor: pointer !important;
}

.memo-alert {
    transform: translate(-86%, 0%) !important;
}

.container:not(.no-margin) {
    margin-top: 7.4rem;
    margin-bottom: 1rem;
}

.container.no-header {
    margin-top: 4rem;
}

.mar-top1rem {
    margin-top: -1rem;
}

.jts-hidden {
    display: none !important;
    visibility: hidden;
}

.emphasis {
    color: salmon;
}

.smooth {
    transition: all 0.5s ease 0s !important;
}

.form-row {
    margin-bottom: 1rem;
}

.showpro-trade {
    color: var(--jts-primary)
}

.filter-spinner[aria-hidden="true"] {
    display: none;
}

.filter-spinner[aria-hidden="false"] {
    display: inline-block;
}

.ordered-gif:hover {
    cursor: pointer !important;
}

.blue-text {
    color: #2e7bae;
}

div.dt-processing > div {
    display: none;
}

div.dt-processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    margin-left: -100px;
    margin-top: -22px;
    padding: 2px;
    z-index: 10;
    text-align: unset !important;
}

.dtb-popover-close {
    font-size: xx-large;
}

table.table.dataTable > tbody > tr.selected > * {
    box-shadow: inset 0 0 0 9999px var(--jts-primary);
    color: whitesmoke;
}

.bootstrap-select .dropdown-menu {
    min-width: 100%;
    max-height: 298px;
}

.offcanvas {
    transition: all 0.5s;
}

.jtsBtn {
    min-width: fit-content;
    color: white !important;
    border-radius: 5px !important;
    white-space: nowrap;
    overflow: hidden;
    margin-top: .3rem !important;
    margin-bottom: .3rem !important;
}

    .jtsBtn:hover {
        cursor: pointer;
        color: black !important;
        background-color: whitesmoke !important;
        box-shadow: 1px 1px 10px 1px #3694d1;
    }

.jtsBtn-light {
    font-family: 'Poppins', sans-serif !important;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px !important;
    border-radius: 5px !important;
    transition: all 0.5s ease 0s !important;
    background: #fff !important;
    color: #000 !important;
}

    .jtsBtn-light:hover {
        cursor: pointer;
        color: #F8F8F8 !important;
        box-shadow: 1px 1px 10px 1px #f8f9fa;
        background-color: transparent !important;
        background-repeat: no-repeat !important;
    }

.jtsBtn-dark {
    font-family: 'Poppins', sans-serif !important;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px !important;
    display: inline-block;
    padding: 10px 28px !important;
    border-radius: 5px !important;
    transition: all 0.5s ease 0s !important;
    background-color: transparent !important;
    background-repeat: no-repeat !important;
    color: #000 !important;
}

    .jtsBtn-dark:hover {
        cursor: pointer;
        color: #333 !important;
        box-shadow: 1px 1px 10px 1px #333;
        background-color: transparent !important;
        background-repeat: no-repeat !important;
    }

    .jtsBtn-dark:focus {
        box-shadow: 1px 1px 10px 1px #333 !important;
    }

.jtsBuyBtn {
    display: flex;
    justify-content: space-evenly;
    flex-direction: row;
    padding: 10px;
    align-items: center;
    height: 46px;
    width: 95px;
    border-width: 1px;
    border-style: solid;
    border-radius: 8px;
    background-color: var(--jts-primary);
    border-color: var(--jts-primary);
    color: #ffffff;
    transition: all 0.4s ease-in-out
}

    .jtsBuyBtn:hover {
        cursor: pointer;
        color: #333 !important;
        box-shadow: 1px 1px 10px 1px #333;
        background-color: transparent !important;
        background-repeat: no-repeat !important;
    }

/* For the dropdown menu */
.dropdown-menu {
    position: absolute;
    z-index: 1050;
    overflow: visible; /* Ensure the dropdown isn't clipped */
}

.accordion-collapse {
    transition: 0.5s all ease-in-out;
}

.dt-buttons {
    justify-content: center;
    column-gap: 0.3rem !important;
}

.bi-printer-fill::before {
    font-size: large;
}

bi-box-arrow-up-right::before {
    font-size: large;
}

.bi-funnel-fill::before {
    font-size: large;
}

.bi-shop::before {
    font-size: large;
}

.showPRO-select-box[nav] {
    width: 25rem;
}

    .showPRO-select-box[nav][report] {
        width: 17rem;
    }

.form-check-label:hover {
    cursor: pointer;
}

.form-check-input:checked {
    border-color: #3794d1 !important;
    background-color: #3794d1 !important;
}

.dropdown-item:focus, .dropdown-item:active:hover {
    color: #16181b !important;
    text-decoration: none !important;
    background-color: #FFFFFF !important;
}

.navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
    color: whitesmoke;
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
    background: #3794d1 !important;
}

#HWO_SelectedStores > option {
    text-wrap: pretty;
}

#viewOrderTbl {
    display: none;
    margin-top: 1.5rem;
}

#jtsDataTable {
    display: none;
}

#hwoViewOrderTbl {
    display: none;
    margin-top: 1.5rem;
}

#viewUploadTbl {
    display: none;
    margin-top: 1.5rem;
}

#buyerTotals {
    display: none;
}

#uploadTable {
    display: none;
}

.dateRange {
    visibility: hidden;
    transition: all 0.5s ease 0.2s;
}

#specificDate {
    visibility: hidden;
    display: none;
    transition: all 0.5s ease 0.2s;
}

.dropdown-item {
    opacity: 1 !important;
}

.bridge-button {
    width: 50% !important;
}

@media (max-width: 575px), (max-width: 400px) {
    .bridge-button {
        font-size: 0.9rem !important;
    }

    td {
        white-space: normal !important;
        overflow-wrap: break-word;
    }

    #viewEditParams {
        left: 12px !important;
    }
}


.imageContainer {
    display: flex;
    justify-content: center;
}


.shadow-bottom {
    box-shadow: 0px 2px 0px rgba(0, 0, 0, 0.1);
}

.continue-ord-select:focus {
    border-color: #ced4da; /* Resets to default Bootstrap border color */
    outline: 0;            /* Removes default browser outline */
}

.continue-ord-select option:checked,
.continue-ord-select option:hover {
    box-shadow: 0 0 10px 100px #3794d1 inset !important;
    color: white !important;
    border-radius: 0.25rem;
}

.dt-tbl-button {
    max-width: fit-content;
}

/*Form CSS
-----------------------------------------------------*/
.bootstrap-select .dropdown-menu li a span.text {
    white-space: break-spaces;
}

/*Form CSS
-----------------------------------------------------*/
/*Remove number type arrows
-----------------------------------------------------*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}
/*Remove number type arrows
-----------------------------------------------------*/


.jtsBanner {
    display: flex;
    flex-direction: row;
    position: relative;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    top: 0;
    list-style: none;
    margin: 0px auto 0px auto;
    padding: 10px 20px 10px 20px;
    color: white;
    background: -moz-linear-gradient(top, #0272a7, #013953);
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#0272a7), to(#013953));
    background: linear-gradient(top, #0272a7, #013953) !important;
    -moz-box-shadow: inset 0px 0px 1px #edf9ff;
    -webkit-box-shadow: inset 0px 0px 1px #edf9ff;
    box-shadow: inset 0px 0px 1px #edf9ff;
    z-index: 997;
}

    .jtsBanner .client-company {
        width: 100%;
        max-width: 8em;
        min-width: 5em;
    }

    .jtsBanner .title {
        color: white;
        font-size: 3em;
    }


.invalidDates {
    border: 2px solid red !important;
}

.fav-item-btn.favorited {
    color: yellow;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.fav-item-btn:not(.favorited) {
    color: black;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.favoriteItem {
    pointer-events: none;
}

.ba-star-fill g g path {
    stroke: black;
    stroke-width: 2px;
}

.fav-item-btn {
    border-radius: 4px;
}

#page-filter {
    width: 65%;
}

form.card {
    background-color: #F4F7F7;
}

fieldset, legend {
    all: revert;
}

.bonuses {
    width: clamp(150px, 20vw, 200px);
}

@media (max-width: 350px) {
    #bonuses-dropdown {
        z-index: 4000 !important;
        transform: translate3d(50%, 30%, 0) !important;
    }
}

@media (max-width: 390px) {
    .breadcrumb-item > a {
        color: black;
        text-decoration: none;
        font-size: small !important;
    }
}

@media (max-width: 575px) {
    .jtsBanner .client-company {
        /*margin-right: -5em;*/
        margin-right: -1rem;
    }

    .title {
        font-size: medium;
    }
}

/*/*Surface Pro*/
@media (min-width: 912px) {
    .jtsBanner {
        justify-content: space-evenly;
    }
}

/*iPad Pro*/
@media (max-width: 1024px) {
    .jtsBanner .client-company {
        margin-left: -1rem;
    }
}

/*New Switch For items code*/
/* The switch - the box around the slider */
.switchOrders {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 17px;
    margin-top: -12px;
    margin-left: 5px;
}

    /* Hide default HTML checkbox */
    .switchOrders input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 13px;
        width: 13px;
        left: 2px;
        bottom: 2px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(13px);
    -ms-transform: translateX(13px);
    transform: translateX(13px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }
/*New Switch For items code*/



@media (max-width: 768px) {

    #page-filter {
        width: 100%;
        min-width: 180px;
        max-width: 250px;
    }

    .showPRO-search {
        width: 100% !important;
    }

    #main-filters {
        flex-wrap: wrap-reverse !important;
    }

    .filter-results {
        min-width: 100%;
    }
    /*.right {
        display: none !important;
    }*/
}

@media (max-width: 550px) {
    .left {
        margin-top: 0.8rem;
        flex-wrap: wrap-reverse !important;
        justify-content: center !important;
        gap: 5px;
    }

    .showPRO-filters-btn:not(.all):not(.showPRO-config):not(.dropdown-toggle) {
        padding: 0.4rem !important;
    }
}

@media (max-width: 390px) {
    .showPRO-search-container {
        width: 70%;
    }
}
